# toriptables2 
![](https://img.shields.io/badge/toriptables2-python_2.7-blue.svg?style=flat-square) ![](https://img.shields.io/badge/dependencies-tor-orange.svg?style=flat-square) ![](https://img.shields.io/badge/GPL-v2-blue.svg?style=flat-square) [![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg?style=flat-square)](https://github.com/ruped24/toriptables2/graphs/commit-activity)

Tor Iptables script is an anonymizer that sets up iptables and tor to route all services and traffic including DNS through the Tor network.

#### Dependencies:
```bash
apt install tor
```

#### [Usage](https://drive.google.com/open?id=0B79r4wTVj-CZVy10Ujg5Vjl5WFk):
```python
toriptables2.py -l
```
#### To test:
* [Check My IPx](https://ipx.ac/)
* [Check Tor Project](https://check.torproject.org)
* [Do I leak](http://www.doileak.com/)
* [DNS leak test](http://dnsleaktest.com)
* [Test IPv6](http://ipv6-test.com/)
* [What is my proxy](http://whatismyproxy.com)
* [What every Browser knows about you](http://webkay.robinlinus.com/)


#### To change Tor IP address:
```bash
 toriptables2.py -r
```
#### To automate changing Tor IP:
* [Screenshot](https://drive.google.com/open?id=0B79r4wTVj-CZOGJadlBtWWxPWFk)

* [tor_ip_switcher](https://github.com/ruped24/tor_ip_switcher#tor_ip_switcher)

#### Screenshots:
* [KaliBang Linux Rolling](https://drive.google.com/open?id=1fHtOvukq0j3dcSKk6Yw_d2L3JuXnjNav)

* [Kali Linux, Rolling Edition](https://drive.google.com/open?id=0B79r4wTVj-CZMzlnRWZTcVcyUnc)

* [Tor IPTables rules loaded](https://drive.google.com/open?id=0B79r4wTVj-CZT0NMV2VZRTM1REE)

---
## [toriptables2g w/ GUI notification](https://bitbucket.org/ruped24/toriptables2g/src)
<details><summary>Expand for toriptables2g installation and usage</summary>

#### Dependencies:

Install [python-notify](http://ftp.br.debian.org/debian/pool/main/n/notify-python/python-notify_0.1.1-4_amd64.deb)

```bash
apt install tor
```
#### Screenshots:
* [Kali Linux, Rolling Edition [ON]](https://drive.google.com/open?id=0B79r4wTVj-CZSEdkaTBNOVc5aUU)
* [Kali Linux, Rolling Edition [OFF]](https://drive.google.com/file/d/1NPZ1SKI9rh9XkaplF2_DzHSoPL77aiy-/view?usp=sharing)

</details>

---
### [Installation Methods](https://github.com/ruped24/toriptables2/wiki/Optional-Installation-methods-for-toriptables2.py)

### [Troubleshooting and FAQ](https://github.com/ruped24/toriptables2/wiki/Troubleshooting)
